# Asterisk Project : Asterisk 13 Function_SQL_ESC

Created by wikibot on Aug 08, 2014

# SQL_ESC()

### Synopsis

Escapes single ticks for use in SQL statements.

### Description

Used in SQL templates to escape data which may contain single ticks `'` which are otherwise used to delimit data.

Example: SELECT foo FROM bar WHERE baz='${SQL_ESC(${ARG1})}'

### Syntax

    SQL_ESC(string)

##### Arguments

- `string`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538